Skip to content

Orders

Organisation Orders Operations

List Group Orders

Request

Security
BearerAuth
Bodyapplication/json

If accessing via an organisation level token you will need to provide an organisation_group_id in order to indicate which group the user belongs to.

pageinteger
Example:1
per_pageinteger, [ 1 .. 100 ]
Default:50
Example:50
order_created_fromstring
Example:"2026-01-30 00:00:00"
order_created_tostring
Example:"2026-01-30 00:00:00"
brand_idinteger
Example:123
brand_namestring
Example:"apple"
POST
/v3/orders
curl -i -X POST \
  https://propello-cloud.redocly.app/_mock/openapi/v3/orders \
  -H 'Authorization: Bearer <YOUR_JWT_HERE>' \
  -H 'Content-Type: application/json' \
  -d '{
    "page": 1,
    "per_page": 50,
    "order_created_from": "2026-01-30 00:00:00",
    "order_created_to": "2026-01-30 00:00:00",
    "brand_id": 123,
    "brand_name": "apple"
  }'

Responses

OK

Bodyapplication/json
statusinteger
Example:200
timestampstring
Example:"1970-01-30T00:00:00.000000Z"
dataobject
Response
{ "status": 200, "timestamp": "1970-01-30T00:00:00.000000Z", "data": { "order_id": 987654, "order_status": "Complete", "first_name": "John", "last_name": "Smith", "email": "john.smith@example.org", "perk_id": 12345, "brand": "Apple", "offer": "Get 10% Off All Apple Products", "offer_excerpt": "Order now to receive 10% off all Apple products", "face_value": 100, "order_total_paid": 90, "order_credit": 20, "order_currency": "GBP", "order_saving": 10, "group_revenue": 0 } }